Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QKbdDriverPlugin Class Reference

The QKbdDriverPlugin class provides an abstract base for Qt/Embedded keyboard driver plugins. More...

    #include <QKbdDriverPlugin>

Inherits QObject.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QKbdDriverPlugin ( QObject * parent = 0 )
- ~QKbdDriverPlugin ()
- virtual QWSKeyboardHandler * create ( const QString & driver, const QString & device ) = 0
- virtual QStringList keys () const = 0

- 26 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 7 protected functions inherited from QObject

## Detailed Description

The QKbdDriverPlugin class provides an abstract base for Qt/Embedded keyboard driver plugins.

The keyboard driver plugin is a simple plugin interface that makes it easy to create custom keyboard drivers.

Writing a keyboard driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

## Member Function Documentation

### QKbdDriverPlugin::QKbdDriverPlugin ( QObject * parent = 0 )

Constructs a keyboard driver plugin with the given parent. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QKbdDriverPlugin::~QKbdDriverPlugin ()

Destroys the keyboard driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QWSKeyboardHandler * QKbdDriverPlugin::create ( const QString & driver, const QString & device ) `[pure virtual]`

Creates a driver matching the type specified by driver and device.

See also keys().

### QStringList QKbdDriverPlugin::keys () const `[pure virtual]`

Returns the list of keyboard drivers this plugin supports.

Reimplemented from QFactoryInterface.

See also create().